无法将Gradle依赖项添加到我的代号一个项目中

2020年6月5日 44点热度 0条评论

我正在使用代号为One的Netbeans构建一个简单的在线应用程序,我想使用Ably进行Internet通信,但是导入Ably API时遇到问题。

Ably's site告诉我,我需要将compile 'io.ably:ably-java:1.0.0'行添加到build.gradle依赖项部分,但是我的项目中没有build.gradle。看到this question之后,我添加了一个新的构建提示,其中gradleDependencies作为键,compile 'io.ably:ably-java:1.0.0'作为值。

但是,当我尝试运行该项目时,它仍然失败并告诉我error: package io.ably.lib.types does not exist import io.ably.lib.types.*;

我做了更多研究,但似乎所有事情都表明我做了正确的事情,例如thisthis。我还尝试将构建提示键更改为android.gradleDep,但未进行任何更改。

这是Netbeans上的样子:

这是构建提示窗口:

如果您需要更多信息,请告诉我。谢谢!

解决方案如下:

构建提示应该是android.gradleDep而不是gradleDep,因为它是Android专用的标志。

我也建议在依赖项的末尾添加分号,例如:compile 'io.ably:ably-java:1.0.0';